// dog_card.dart

import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../props/UikListTileContainerProps.dart';

class UikListTileContainer extends UikWidget {
  WidgetType _widgetType;
  UikListTileContainerProps _uikListTileContainerProps;
  UikListTileContainer(this._widgetType, this._uikListTileContainerProps)
      : super(_widgetType, _uikListTileContainerProps);

  @override
  _UikListTileContainerState createState() =>
      _UikListTileContainerState(_uikListTileContainerProps);
}

class _UikListTileContainerState extends State<UikListTileContainer>
    with TickerProviderStateMixin {
  UikListTileContainerProps _uikListTileContainerProps;
  _UikListTileContainerState(this._uikListTileContainerProps);

  late TabController _tabController;
  @override
  // void initState() {
  //   super.initState();
  //   _tabController = TabController(
  //       length: _uikListTileContainerProps.ll.length, vsync: this);
  // }

  @override
  Widget build(BuildContext context) {
    return Column(children: _uikListTileContainerProps.ll);
  }
}
