import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/ProductScreenTagsRow.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

import 'UikTags.dart';

class UikProductScreenTagsRow extends UikWidget {
  WidgetType _widgetType;
  UikProductScreenTagsRowProps _uikProductScreenTagsRowProps;
  UikProductScreenTagsRow(this._widgetType, this._uikProductScreenTagsRowProps)
      : super(_widgetType, _uikProductScreenTagsRowProps);

  @override
  _UikProductScreenTagsRowState createState() =>
      _UikProductScreenTagsRowState(_uikProductScreenTagsRowProps);
}

class _UikProductScreenTagsRowState extends State<UikProductScreenTagsRow> {
  UikProductScreenTagsRowProps _uikProductScreenTagsRowProps;
  _UikProductScreenTagsRowState(this._uikProductScreenTagsRowProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.only(
        left: 16,
        bottom: 24,
      ),
      child: Row(
        children: [
          for (int i = 0;
              i < _uikProductScreenTagsRowProps.array.length;
              i++) ...[
            _uikProductScreenTagsRowProps.array[i],
            const SizedBox(width: 16),
          ]
        ],
      ),
    );
  }
}
