import 'package:flutter/material.dart';

import '../props/UikThreeColumnProductProps.dart';
import 'UikWidget.dart';
import 'WidgetType.dart';

class UikThreeColumnProduct extends UikWidget {
  final WidgetType _widgetType;
  final UikThreeColumnProductProps _uikThreeColumnProductProps;
  UikThreeColumnProduct(this._widgetType, this._uikThreeColumnProductProps)
      : super(_widgetType, _uikThreeColumnProductProps);

  @override
  _UikThreeColumnProductState createState() =>
      _UikThreeColumnProductState(_uikThreeColumnProductProps);
}

class _UikThreeColumnProductState extends State<UikThreeColumnProduct> {
  final UikThreeColumnProductProps _uikThreeColumnProductProps;
  _UikThreeColumnProductState(this._uikThreeColumnProductProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _uikThreeColumnProductProps.marginTop,
        bottom: _uikThreeColumnProductProps.marginBottom,
        left: _uikThreeColumnProductProps.marginLeft,
        right: _uikThreeColumnProductProps.marginRight,
      ),
      child: Column(
        children: [
          _uikThreeColumnProductProps.firstComponent,
          _uikThreeColumnProductProps.secondComponent,
          _uikThreeColumnProductProps.thirdComponent,
        ],
      ),
    );
    // TODO: implement build
    throw UnimplementedError();
  }
}
