import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

import '../../props/UikRadioButtonProps.dart';

UikRadioButtonProps $UikRadioButtonPropsFromJson(Map<String, dynamic> json) {
  print("coming in the radioButton");
  final UikRadioButtonProps uikRadioButtonProps = UikRadioButtonProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikRadioButtonProps.id = id;
  }

  final String? state = jsonConvert.convert<String>(json['state']);
  if (state != null) {
    uikRadioButtonProps.state = state;
  }

  final double? borderRadius =
      jsonConvert.convert<double>(json['borderRadius']);
  if (borderRadius != null) {
    uikRadioButtonProps.borderRadius = borderRadius;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikRadioButtonProps.action = action;
  }
  return uikRadioButtonProps;
}
