import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_chips_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import '../components/UikAvatar.dart';
import '../generated/json/uik_avatar_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikAvatarProps extends WidgetProps {
  late String id;
  late UikAction action;
  Color? backgroundColor;
  Widget? text;
  String? backgroundImage;
  late double radius = 0.0;

  UikAvatarProps();

  factory UikAvatarProps.fromJson(Map<String, dynamic> json) =>
      $UikAvatarPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
