import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_groupAvatar_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikGroupAvatarProps extends WidgetProps {
  late String id;
  late dynamic list = [];
  late Widget plusIcon = Icon(Icons.abc);
  late String? leftIcon = null;
  late String? rightIcon = null;
  late UikAction action;

  UikGroupAvatarProps();

  factory UikGroupAvatarProps.fromJson(Map<String, dynamic> json) =>
      $UikGroupAvatarPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
