import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_JarItem_props.g.dart';

import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikJarItemProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double topMargin = 0.0;

  late double bottomMargin = 0.0;
  late Widget? firstText = null;
  late Widget? secondText = null;
  late UikAction action;

  UikJarItemProps();

  factory UikJarItemProps.fromJson(Map<String, dynamic> json) =>
      $UikJarItemPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
