import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_productPageInformationContainer_props.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikProductPageInformationContainerProps extends WidgetProps {
  late String id;
  late double reviews = 0;
  late double questionsAndAnswers = 0;
  late UikAction action;

  UikProductPageInformationContainerProps();

  factory UikProductPageInformationContainerProps.fromJson(
          Map<String, dynamic> json) =>
      $UikProductPageInformationContainerPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
