import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/WidgetProps.dart';
// import '../models/Action.dart';
import '../generated/json/uik_profile_props.g.dart';

class UikProfileProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double topMargin = 0.0;
  late double rightMargin = 0.0;
  late double bottomMargin = 0.0;
  late UikAction action;
  late Widget circularAvatar;
  late Widget title;
  late Widget subtitle;

  UikProfileProps();
  factory UikProfileProps.fromJson(Map<String, dynamic> json) =>
      $UikProfilePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
