import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_ThreeColumnTile_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikThreeColumnTileProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double bottomMargin = 0.0;
  late double topMargin = 0.0;
  late Widget text1 = const SizedBox.shrink();
  late Widget text2 = const SizedBox.shrink();
  late Widget text3 = const SizedBox.shrink();

  UikThreeColumnTileProps();

  factory UikThreeColumnTileProps.fromJson(Map<String, dynamic> json) =>
      $UikThreeColumnTilePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
