import 'dart:ui';

import 'package:ui_sdk/props/UikAction.dart';
import '../generated/json/base/json_field.dart';
import '../generated/json/uik_video_player_props.g.dart';
import 'WidgetProps.dart';
import 'dart:convert';

@JsonSerializable()
class UikVideoPlayerProps extends WidgetProps {
  late String id;
  late String videoUrl;
  late bool showVideoProgressIndicator = false;
  late double aspectRatio;
  late Color progressIndicatorColor;
  late double width;
  late UikAction action;

  UikVideoPlayerProps();

  factory UikVideoPlayerProps.fromJson(Map<String, dynamic> json) =>
      $UikVideoPlayerPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
