import 'package:flutter/material.dart';
import '../props/UikNewReviewProps.dart';

import 'UikWidget.dart';
import 'WidgetType.dart';

class UikNewReview extends UikWidget {
  WidgetType _widgetType;

  UikNewReviewProps _UikNewReviewProps;
  UikNewReview(this._widgetType, this._UikNewReviewProps)
      : super(_widgetType, _UikNewReviewProps);

  @override
  _UikNewReviewState createState() => _UikNewReviewState(_UikNewReviewProps);
}

class _UikNewReviewState extends State<UikNewReview> {
  UikNewReviewProps _UikNewReviewProps;
  _UikNewReviewState(this._UikNewReviewProps);

  @override
  Widget build(BuildContext context) {
    return Column(children: <Widget>[
      //UikNavbar

// star ratings

      Container(
        alignment: Alignment.center,
        // margin: EdgeInsets.only(top: 50),
        // child: _UikNewReviewProps.rating),
        child: _UikNewReviewProps.text,
      ),

      Container(
        margin: EdgeInsets.only(top: 30, left: 10, right: 10),
        child: _UikNewReviewProps.textarea,
      ),

      Container(
          margin: EdgeInsets.only(top: 10, bottom: 5, left: 10),
          child: Row(children: [
            Container(
              margin: EdgeInsets.only(right: 10),
              child: _UikNewReviewProps.uploadpic,
            ),
            Container(
              margin: EdgeInsets.only(right: 10),
              child: _UikNewReviewProps.image,
            ),
            Container(
              margin: EdgeInsets.only(right: 10),
              child: _UikNewReviewProps.image,
            ),
          ])),

      // send review button
      Container(
        child: Container(
          margin: EdgeInsets.all(10),
          child: _UikNewReviewProps.sendreview,
        ),
      ),
    ]);
  }
}
