// ignore_for_file: must_be_immutable

import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';

import 'package:flutter/material.dart';
import 'package:ui_sdk/props/UikUploadPhotoProps.dart';

class UikUploadPhoto extends UikWidget {
  // ignore: unused_field
  final WidgetType _widgetType;
  final UikUploadPhotoProps _uikUploadPhotoProps;
  UikUploadPhoto(this._widgetType, this._uikUploadPhotoProps)
      : super(_widgetType, _uikUploadPhotoProps);

  @override
  _UikUploadPhotoState createState() =>
      _UikUploadPhotoState(_uikUploadPhotoProps);
}

class _UikUploadPhotoState extends State<UikUploadPhoto> {
  final UikUploadPhotoProps _uikUploadPhotoProps;
  _UikUploadPhotoState(this._uikUploadPhotoProps);

  @override
  Widget build(BuildContext context) {
    return Card(
      margin: EdgeInsets.all(10),
      child: Padding(
        padding: const EdgeInsets.all(15.0),
        child: Column(
          // mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Container(
              //color: Colors.amber, s
              width: 56,
              height: 56,
              decoration: BoxDecoration(
                color: Colors.grey[400],
                borderRadius: BorderRadius.circular(180.0),
              ),
              // child: _uikUploadPhotoProps.cameraIcon!,
              child: _uikUploadPhotoProps.cameraIcon!,
            ),
            const SizedBox(
              height: 10.0,
            ),
            _uikUploadPhotoProps.text!,
          ],
        ),
      ),
    );
  }
}
