import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardThree_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardThreeProps extends WidgetProps {
  late String id;
  late Widget? image;
  late Widget? text;
  late UikAction action;

  UikHomeCardThreeProps();

  factory UikHomeCardThreeProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardThreePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
