import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_listItems_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikListItemsProps extends WidgetProps {
  late String id;
  late double width = 250.0;
  late double height = 50.0;
  late dynamic list = [];
  late dynamic iconList = [];
  late String bullet = "";
  late UikAction action;

  UikListItemsProps();

  factory UikListItemsProps.fromJson(Map<String, dynamic> json) =>
      $UikListItemsPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
