import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_ThreeColumnTileList_props.g.dart';
import '../generated/json/uik_ThreeColumnTile_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikThreeColumnTileListProps extends WidgetProps {
  late String id;
  late double height = 0.0;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double bottomMargin = 0.0;
  late double topMargin = 0.0;
  List<Widget> tiles = [];
  List<UikAction> actionList = [];

  UikThreeColumnTileListProps();

  factory UikThreeColumnTileListProps.fromJson(Map<String, dynamic> json) =>
      $UikThreeColumnTileListPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
