import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_tooltip_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikToolTipProps extends WidgetProps {
  late List<dynamic> ll = ["tooltip1", "tooltip2", "tooltip3", "tooltip4"];
  late Widget child = Icon(Icons.mic);
  late double childwidth = 30;
  late double childheight = 30;
  late String direction = "up";
  late bool bulletPoint = true;
  late bool NoBackground = false;

  late String id;
  late String text;
  late UikAction action;

  UikToolTipProps();

  factory UikToolTipProps.fromJson(Map<String, dynamic> json) =>
      $UikToolTipPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
